== Changelog ==
= 2.3.1 - 02-07-2026 =
- Enhancement - Improve Mollie subscription billing reliability. [PRO]
- Fix - Google reCAPTCHA validation failing on account login.
- Fix - Certificate not showing when viewed from the public profile page. [PRO]
- Fix - TypeError when _elementor_data meta returns PHP array instead of JSON string.
- Fix - TranslatePress translation editor only works on first lesson. [PRO]
- Fix - Security hardening for user session handling.
- Fix - Security hardening for course review field validation.
- Fix - WooCommerce product edit link returning 404 error.
- Fix - YouTube lesson fullscreen button not showing on iPhone.
- Fix - Draft course items counted in course progress. [PRO]
- Fix - Bricks builder Masteriyo templates not rendering properly on the frontend.
- Fix - Analytics composite indexes migration query crash on shared hosting sites. [PRO]
- Fix - Certificate download link not generated in course completion email.

= 2.3.0 - 23-06-2026 =
- Feature - Certificate Builder v2.
- Feature - H5P integration addon with H5P shortcode support [Free] and H5P quiz [PRO].
- Revamp - Analytics UI/UX.
- Compatibility - PHP v8.5 compatible.
- Enhancement - Added Simple, Modern, Overlay, and Custom layout support for course archive and single course page templates.
- Enhancement - Updated Migration Tool to display real-time migration progress and support migrating LMS data to Masteriyo.
- Enhancement - Added login/logout navigation menu link panel.
- Enhancement - Overhauled Course List widget with built-in pagination, filter controls, and renamed layout options to match the Carousel widget.
- Enhancement - Added three new Elementor widgets for the Single Course page: Course Progress Bar, Course Cohort, and Course Enrollment Expiration. - [PRO]
- Enhancement - Hidden the legacy Course Archive Pagination widget from the Elementor panel since pagination is now built into the Course List widget.
- Enhancement - Improved single course page templates with editor fallback notices, Wishlist icon support, and a "Set as active template" option.
- Enhancement - Added option to hide calendar and session information tab from the account sidebar.
- Enhancement - Added global eLearning and Neve theme color sync.
- Enhancement - Added auto-navigation to error tab and focus on invalid fields in course settings on save.
- Enhancement - Added easy switching between block and classic editor with source code support and additional default blocks.
- Enhancement - Added course creation button in WooCommerce product for one-click course creation.
- Enhancement - Added link product option in individual course WooCommerce settings to directly link a Woo product.
- Enhancement - Added guest checkout support for WooCommerce.
- Enhancement - Added auto-detection of video duration in video lessons.
- Enhancement - Added customizable color options for email templates. - [PRO]
- Enhancement - Added option to require attempting all quiz questions before submission.
- Enhancement - Added course bundle support for Stripe/PayPal recurring payments. - [PRO]
- Enhancement - Added support for custom sidebar buttons on the Account page via filter hook. - [PRO]
- Enhancement - Added automated job to check and revoke expired course enrollments. - [PRO]
- Enhancement - Implemented protected material downloads with enrollment verification. - [PRO]
- Fix - Removed unnecessary API calls on backend pages.
- Fix - Resolved multiple issues with view-mode switcher, courses JS not loading on Elementor pages, WP dependency notice, and pagination display.
- Fix - Fixed Wishlist support for the Course Carousel Elementor widget.
- Fix - Fixed incorrect purchase button display for SureCart courses on course archive and single course pages.
- Fix - Fixed group pricing multiple currency conversion, formatting, and checkout calculation issues.
- Fix - Fixed session-expired overlay not showing on admin pages when switching to student preview.
- Fix - Fixed OTP email not being sent after enabling 2FA. - [PRO]
- Fix - Fixed Mollie "No suitable payment methods found" error on default checkout.
- Fix - Fixed guest redirect to login on WooCommerce addon when guest checkout is disabled.
- Fix - Fixed minor course bundle issues related to the WooCommerce addon. - [PRO]
- Fix - Enhanced security for the Mollie payment addon.
- Fix - Fixed checkout not redirecting after applying a 100% discount coupon. - [PRO]
- Fix - Fixed single course page showing wrong course for additional instructors. - [PRO]
- Fix - Fixed course content not being restricted during quiz even when the option is enabled.
- Fix - Enhanced security for the course announcement addon.
- Fix - Fixed PDF viewer overlapping off-canvas menu and failing to load on the learn page. - [PRO]
- Fix - Fixed blank block editor on pages assigned as the Masteriyo account page.

= 2.2.1 - 20-05-2026 =
- Compatibility - WordPress v7.0 compatible.
- Update - Added filters for certificate course title and completion date smart tags.
- Update - Upgraded Isolated block editor version to v2.30.0.
- Fix - Enhance security for user course progress and user role.
- Fix - Skip abilities layer below WordPress v6.9.
- Fix - Allow admin with instructor role to list all course Q&A.

= 2.2.0 - 12-05-2026 =
- Feature - Added 'View as Student' option for admins and instructors to preview the student experience.
- Feature - Exposed full CRUD abilities for Course, Section, Lesson, Quiz, Question, Enrollment, Order, User, and Settings via the WP Abilities API.
- Enhancement - Added email settings and notifications for lesson comments/replies and Q&A.
- Enhancement - Synced group status with different order statuses.
- Enhancement - Added 'Auto Redirect to Courses' option in WooCommerce integration settings.
- Enhancement - Improved UX for chat input fields by replacing text input with textarea and enhancing message formatting.
- Security - Added authorization check for Invoice PDF access.
- Security - Added capability checks to AJAX notice handlers.
- Security - Improved BuddyPress integration security.
- Fix - Enqueued public.css on course bundle and public profile pages. [PRO]
- Fix - Fixed missing Elementor CSS and body classes with block themes.
- Fix - Added masteriyo-notice-link class to admin notice links.
- Fix - Fixed review replies not appearing in user details edit review. [PRO]
- Fix - Scoped gradebook queries to current user and guarded against bulk deletion. [PRO]
- Fix - Resolved stale cache served after AJAX login on account page with LiteSpeed Cache.
- Fix - Fixed search by username or email for quiz attempts and assignments. [PRO]
- Fix - Fixed students being unable to post reviews on private courses and lessons. [PRO]
- Fix - Fixed invalid interval format sent to Mollie subscription API.
- Fix - Fixed WooCommerce order with no customer ID overwriting wcorder_id on wrong user enrollment.
- Fix - Fixed URL status param not syncing to filterParams on backend page reload.
- Fix - Fixed user being unable to reply to reviews after submitting their own review.
- Fix - Fixed quiz questions not loading for guest users on open access courses.
- Fix - Fixed incorrect redirect to first step after Stripe Connect on onboarding.

= 2.1.9 - 04-05-2026 =
- Enhancement - Load Masteriyo public CSS only on Masteriyo-related content pages.
- Fix - Enhance security.
- Fix - Log email delivery failures silently through the Masteriyo logger.
- Fix - Courses shortcode rendering private courses to non-enrolled users.
- Fix - Course Bundles shortcode rendering private courses to non-enrolled users. [PRO]
- Fix - Exclude Learn and Account pages from cache plugins.
- Fix - Show contextual error notices on Learn page redirects.
- Fix - Block paid course access for logged-in users without a student role.
- Fix - Randomize Questions setting not applied on Learn page quiz.
- Fix - Course featured image missing in Course Bundle editor. [PRO]
- Fix - Group enrollment course selector not listing courses with tiered pricing. [PRO]

= 2.1.8 - 06-04-2026 =
- Enhancement – Made the Stripe webhook secret mandatory to improve security.
- Fix – Enhance security.
- Fix – Resolved RTL issues in the quiz timer and Masteriyo player.

= 2.1.7 - 25-03-2026 =
- Enhancement - Improve webhook delivery reliability, expand lesson completion tracking coverage, and add observability.
- Enhancement - Extend Two-Factor Authentication OTP support to WordPress admin login popup. [PRO]
- Enhancement - Add PDF download enable/disable toggle option for PDF lessons. [PRO]
- Fix - Enhance security.
- Fix - Fix log file download and incorrect filename issues in the logs tool.
- Fix - Make the course name a clickable link on the account page.
- Fix - Exclude deleted users from course analytics student count. [PRO]
- Fix - Prevent duplicate contact errors in HubSpot integration during user registration. [PRO]

= 2.1.6 - 11-03-2026 =
- Fix - Security issue related to Stripe addon.
- Fix - Course archive page default layout Elementor template not importing.

= 2.1.5 - 26-02-2026 =
- Enhancement - Added MathJax support in question descriptions.
- Enhancement - Added option for users to choose whether to start with a starter template.
- Compatibility - Added Mollie support for Klarna.
- Refactor - Improved handling of course “Coming Soon” metadata.
- Update - Added filters for the Start Course button target attribute and Learn page logo URL.
- Update - Added filters for Facebook and Google redirect URLs. [PRO]
- Update - Made profile info labels translation-ready.
- Fix - Resolved issue where quiz attempt user filter was not working.
- Fix - Fixed course review popup showing even when course reviews are disabled.
- Fix - Fixed issue where assignment due date could not be left empty. [PRO]
- Fix - HubSpot integration now fetches all lists using pagination. [PRO]
- Fix - Resolved Add to Cart AJAX not triggering on course category archive pages.
- Fix - Fixed Remember Me login not persisting user sessions.
- Fix - Resolved RTL layout issue on Account page content.
- Fix - Ensured taxonomies are cloned during post duplication. [PRO]

= 2.1.4 - 08-01-2026 =
- Enhancement - Admin role support for Two-Factor Authentication OTP email. [PRO]
- Enhancement - Added filter to support custom redirect URL after user email verification.
- Update - Support custom admin URLs in Google Meet and Google Classroom setting.
- Fix - Question description blank issue when updating quiz.
- Fix - Account page minor UI issue with theme css.
- Fix - Question and Answer reply of a user is not visible in dark mode.
- Fix - Disable individual course review option when global review setting is disabled.
- Fix - Hamburger menu appearing while changing routes and sidebar height fixed to full in the account page.
- Fix - Course setting tab position for FAQ and Lemon Squeezy. [PRO]
- Fix - Restore import sample grade button. [PRO]

= 2.1.3 - 30-12-2025 =
- Enhancement - Improved Account page UI/UX.
- Fix - Resolved string translation issues.
- Fix - Prevented the Sell to Groups toggle from resetting after add-on activation.
- Fix - Prevented a fatal error when creating reviews with an invalid comment ID.
- Fix - Cast Stripe payment amount to integer to prevent floating-point error.
- Fix - Improved group buy button compatibility with Course Coming Soon mode.
- Fix - Resolved password strength string translation issue.
- Fix - Corrected group pricing logic based on available course seats.
- Fix - Hide the group buy button when the course enrollment limit is reached.
- Fix - Fixed spacing issue on the Forgot Password section of the sign-in page.
- Fix - Resolved issues with adding and removing additional instructors in course settings. [PRO]
- Fix - Fixed multiple-instructor backend filter issues across courses, quiz attempts, and assignments.
- Fix - Added a webhook menu for instructors in the backend.
- Fix - Stripe subscription fails for users created during checkout. [PRO]

= 2.1.2 - 19-12-2025 =
- Fix - Courses page filter issue.
- Fix - RTL issue in responsive mode.
- Fix - Social share icon showing even when social share is disabled. [PRO]
- Fix - Course update issue when selecting Bunny.net video type.
- Fix - Cohort course date picker showing current date as placeholder. [PRO]
- Fix - Checkout UI-related issue.
- Fix - Learn page sidebar lock icon UI issue.
- Fix - Course review affecting single course layout 1 UI.
- Update - Added filter `masteriyo_is_account_page` to check if the current page is a Masteriyo account page.

= 2.1.1 - 16-12-2025 =
- Fix - Plugin file size issue.

= 2.1.0 - 16-12-2025 =
- Feature - Cohort-based course feature added. [PRO]
- Feature - Multi-group pricing options added. [PRO]
- Update - Improved compatibility with TranslatePress plugin.
- Update - RTL layout update across frontend pages.
- Update - Upgrade PHP League Container from v3.4 to v4.2.
- Compatibility - WordPress v6.9 compatible.
- Refactor - Migrated selected addons to core (BunnyNet, Event Calendar, Two-Factor Authentication, Social Share, Password Strength, Course Coming Soon).
- Enhancement - 3 Layout select option added in courses blocks.
- Enhancement - Overall blocks setting improvement.
- Enhancement - Added show/hide component options for the single course page.
- Enhancement - Added Order Summary shortcode ([masteriyo_order_summary]) for post-checkout pages.
- Enhancement - Learn page UI/UX updated.
- Enhancement - Single course review section UI updated.
- Enhancement - Learn page comment section UI updated.
- Enhancement - Added review courses table in student report. [PRO]
- Enhancement - Match the Following question type selection UI updated. [PRO]
- Enhancement - Sample courses updated to match current demo courses.
- Enhancement - Single course settings rearranged with new Schedule & Access tab and related options moved accordingly.
- Enhancement - Group pricing single course UI updated.
- Fix - Aspect ratio issue in video lesson in safari browser.
- Fix - Accordion section expansion/collapse issue on navigation in learn page.
- Fix - Update enrollment status logic to keep enrollments active for 'publish' and 'private' courses. [PRO]
- Fix - Course list page multiple column selection UI issue.
- Fix - Links not clickable in PDF lesson. [PRO]
- Fix - Undefined method issue get_display_name().
- Fix - Fatal error when Google event deleted in Google calender.
- Fix - Caching issues with Redis in UserCourseRepository.
- Fix - File parsing error.
- Fix - 404 on Learn page when navigating from course curriculum.
- Fix - PHP 8.4 compatibility issues.

= 2.0.4 - 04-11-2025 =
- Fix - Security related issue.
- Fix - Fatal error in CourseEnrollButtonWidget during Elementor editing.
- Fix - Courses filters and sorting disappear issue when search or sorting is disabled.
- Fix - Masteriyo player full screen issue in small devices, audio boost issue and video stopping randomly issue.
- Fix - Course contents missing while exporting.
- Fix - Course retake popup modal not opening on single course modern layout.
- Fix - Single course and courses minor UI issues.
- Fix - Single course bundle page UI and tab issues. [PRO]

= 2.0.3 - 16-10-2025 =
- Fix - Curriculum tab showing only for user who has course progress.
- Fix - Review visibility control condition sometime not showing review tab.

= 2.0.2 - 15-10-2025 =
- Enhancement - Added full screen mode in PDF lesson. [PRO]
- Enhancement - Color palette UI updated and button hover color added.
- Enhancement - Modern and Overlay courses layout UI and component revamp.
- Enhancement - Single course and courses page responsiveness.
- Compatibility - Global color option in Masteriyo styling option for eLearning theme.
- Fix - "Start Course/Continue" button disappears after starting the course in the modern layout.
- Fix - Notice related issue.
- Fix - Required missing pages box not shown initially on home page.
- Fix - Course filter not working properly in the responsive view.
- Fix - Payment settings redirection issue fixed in the home page.
- Fix - Starter template typography and color not being set after importing.
- Fix - Incorrect license expiration information. [PRO]
- Fix - Retake course button not showing issue.
- Fix - Course end date not showing in modern layout.
- Fix - Lock icon missing for course password access mode.
- Fix - Group buy button issue in single course modern layout.
- Fix - Featured video popup modal scrolling issue. [PRO]
- Fix - Minor UI related issue on single course and courses page.
- Fix - Quiz setting pass type issue and auto calculate button color. [PRO]
- Fix - Unlink WooCommerce product from duplicated courses. [PRO]
- Fix - Course setting data removed issue when updated in course analytics page. [PRO]
- Fix - Course completion reminder emails goes even after course expiration. [PRO]
- Fix - Extra box appear even though there is nothing on header in dashboard.
- Fix - Stripe payment description information changed to course name.
- Fix - Question/Answer tabs disappear when marking all questions as spam or moving to trash.

= 2.0.1 - 26-09-2025 =
- Fix - Courses shortcode layout UI issue.
- Fix - Header UI issue in Masteriyo dashboard.
- Fix - Empty contents UI in backend pages.
- Fix - Manual groups enrollment leader change is not reflected in groups page. [PRO]
- Fix - Deleted manual group enrollment appears in manual enrollment page. [PRO]
- Fix - Stripe subscription issue on checkout. [PRO]
- Fix - Group pricing enable issue even when course is free.
- Fix - Pages not being set in the setting for first installation.
- Fix - Onboarding user selected data being overwritten when importing starter templates.
- Fix - Stripe connect not working initially when activated from payment setting.
- Fix - Starter templates actual typography not showing issue.
- Fix - Home page UI related issue.
- Fix - Single course and courses page minor UI issues.
- Fix - UI issues in Elementor course component widgets.
- Fix - Course preview not clickable issue. [PRO]
- Fix - Curriculum content link leads to 404 not found page.

= 2.0.0 - 23-09-2025 =
- Feature - Manual group enrollment option added. [PRO]
- Feature - Support for 4 additional AI-generated question types added (Text Answer, Match the Following, Sortable & Fill in the Blanks). [PRO]
- Feature - Added starter template.
- Feature - Added a new minimal single layout.
- Feature - Added 8 new starter templates.
- Refactor - Eliminated unnecessary PayPal configuration.
- Refactor - Stripe connect platform.
- Update - As single course and courses components has been updated, some of the builder [Elementor/Divi and others] elements or widgets might need to be updated.
- Update - Renamed Courses layout to Default, Modern, and Overlay; renamed Single course layout to Default and Modern.
- Update - Added external video URL option in Free version.
- Update - Added course completion reminder email, email from name, and address option in Free version.
- Update - Added Primary color for learn page and button styling option in Free version.
- Enhancement - Single course and courses page component UI revamp.
- Enhancement - Course prerequisites single course page UI update.
- Enhancement - Course enrollment expiration single course page UI update.
- Enhancement - Course coming soon single course page UI update.
- Enhancement - Onboarding page UI/UX revamp.
- Enhancement - Added Home page, which shows incomplete setup parts.
- Enhancement - New layout option for courses shortcode ([masteriyo_courses layout="default/layout1/layout2"]) added.
- Enhancement - Added email notifications for course Q&A.
- Enhancement - Added reply option for admin & instructors to lessons comment and course review from backend. [PRO]
- Enhancement - Added maximum attempts limit option for instructor applications.
- Enhancement - Added license details to the license page and added notice for no license key. [PRO]
- Enhancement - Bypass drip content in preview mode for admins and course instructors.
- Enhancement - Plugin rollback option. [PRO]
- Enhancement - Action buttons label according to specific content in builder header.
- Enhancement - Empty content info and no result found UI updated.
- Enhancement - Overall UI/UX update in backend pages.
- Fix - Show search only if categories exist in course edit page.
- Fix - Masteriyo conflict with Pressidium Cookie Consent plugin.
- Fix - Learn page emoji size inconsistent issue.
- Fix - Prevented Save CSS Block API call when Masteriyo block is absent on pages.
- Fix - Prevent user_id being set to 0 in user course enrollments.
- Fix - Download material addon issue.
- Fix - Save settings not working when WooCommerce addon activated.
- Fix - Fixed issue where video lesson couldn’t be saved without adding a video (lesson_type meta added).
- Fix - Woocommerce name null issue.

= 1.20.2 - 22-08-2025 =
- Fix - Account page user's courses listing in dashboard.

= 1.20.1 - 21-08-2025 =
- Enhancement - Show titles of timestamped notes. [PRO]
- Enhancement - Choose Builder added in Stater Templates import.
- Fix - Draft lesson display bug.  [PRO]
- Fix - Vimeo unlisted video not working.
- Fix - "Add to Cart" button shows only if course not purchased.  [PRO]
- Fix - Correct UserCourseRepository query.
- Fix - Right-click disabled on lesson links even with Content Protection off.  [PRO]
- Fix - VAT issue on checkout when only country is selected.  [PRO]
- Fix - Menu conflict with WooCommerce.
- Fix - Price not showing with WooCommerce.
- Fix - Enroll button design issue with elementor.

= 1.20.0 - 11-08-2025 =
- Update - Added Stripe Connect.
- Update - Integrate ThemeIsle SDK for deactivation feedback. [PRO]
- Update - Introduce common header for multiple pages.
- Update - Group Course addon rename to Groups.
- Update - Integrate Formbricks for survey collection.
- Refactor - Groups are now created after group purchase by user, manual group creation has been removed, group purchase is now visible to non-logged in users.
- Refactor - Masteriyo blocks and additional single course blocks added.
- Refactor - Masteriyo sub-menu cleaned up, renamed, and reorganized.
- Enhancement - Addons Page UI/UX revamp.
- Enhancement - Added automatic email reminders for live sessions. [PRO]
- Enhancement - Added starter templates.
- Enhancement - Added link for notifications.
- Enhancement - All payment related settings move to payment methods tab.
- Enhancement - Display password strength on reset password page.
- Enhancement - Improved single course page & archive page UI/UX for enrolled users.
- Enhancement - Multi-currency support for third-party page builders.
- Enhancement - Quiz builder UI/UX revamp.
- Enhancement - Restrict multiple reviews for a course by a single user.
- Enhancement - Show alert in backend pages for unsaved changes.
- Enhancement - Translation support added for email's link placeholder.
- Fix - Adding video duration manually does not save correct values.
- Fix - Course block in backend page not responsive on mobile preview.
- Fix - Course filter & sorting not working with Divi.
- Fix - Course list widget search issue and Zakra theme design issue in Elementor.
- Fix - Correct tax calculation logic on checkout page. [PRO]
- Fix - Duplicate certificates display on course completion.
- Fix - Error displayed to students on reply submission in course Q&A.
- Fix - Expiration date not displayed for courses expiring in 1 day.
- Fix - Export tool allows instructors to export courses created by others.
- Fix - Fatal error in courses page due to PMPRO Integration and RCP Integration. [PRO]
- Fix - Logo removed in Masteriyo learn page settings when deleted from media library.
- Fix - Manual enrollment updates not reflected on manual enrollment page. [PRO]
- Fix - Multiple instructor assigned course gets removed after update by another instructor. [PRO]
- Fix - PHP deprecated warnings in script styles and AddonsController.
- Fix - Question reply color-mode issue, dashboard redirect issue & custom field renderer crash issue.
- Fix - Removing a media item from one lesson also removes it from other lessons.
- Fix - Sample course does not trigger completion notification and leads to 404 error on continue.
- Fix - Send enrollment notification emails on CSV import for manually added students. [PRO]
- Fix - Setup wizard UI issue.
- Fix - Tax resets to zero when clicking "Buy Now" again after country selection. [PRO]
- Fix - Tooltip text for “Public Profile” addon contains wrong text. [PRO]
- Fix - User registration redirect to public profile issue when username already exists. [PRO]
- Fix - Elementor create new template link doesn't work and added layout skeleton.
- Fix - Randomize answer not working.

= 1.18.4 - 17-07-2025 =
- Fix - Security related issues.

= 1.18.3 - 16-07-2025 =
- Fix - Builder price now persists correctly after updates.
- Fix - Parent category is now properly selected when assigning categories.

= 1.18.2 - 24-06-2025 =
- Feature - Added support for Private Courses. [PRO]
- Feature - Introduced Tax option. [PRO]
- Feature - Export individual course as a PDF files. [PRO]
- Refactor - Improved internal structure of Masteriyo blocks.
- Update - Minor UI revamp of Global Settings for a more consistent experience.
- Update - Dashboard menu updated to About and contents in about page updated.
- Enhancement - Enhanced Course Builder UI/UX for improved usability.
- Enhancement - Added support to reveal quiz answers across multiple attempts.
- Enhancement - Enrolled users are now added to Google Meet calendar, with event sync to Google Calendar.
- Enhancement - Google Meet event sync with event calendar. [PRO]
- Enhancement - Added addon plan tags and filtering options for easier navigation.
- Enhancement - Manual course enrollment now sends email notifications to students. [PRO]
- Fix - Resolved issue where Multiple Instructor Addon didn’t work in draft courses. [PRO]
- Fix - Issue causing automatic user course deletion after purchase when enrollment expiration was set.
- Fix - Facebook login not working. [PRO]
- Fix - Corrected 'Expand All' label display on initial curriculum load.
- Fix - Added handler for accurate social login path detection. [PRO]
- Fix - Resolved ArgumentCountError in masteriyo_maybe_define_constant() with W3 Total Cache compatibility.
- Fix - General performance improvements.
- Fix - Ensured all sections render properly on the student reports page. [PRO]
- Fix - Builder section disable for Google Classroom course.

= 1.18.1 - 02-06-2025 =
- Feature - Google reCAPTCHA & Password strength addon now available in Free.
- Enhancement - Integrated Themeisle SDK for rollback updates and deactivation feedback.
- Update - Feature and addon availability now varies by plan. [PRO]
- Refactor - Codebase updated to support plan-based feature access. [PRO]
- Fix - Invalid invoice PDF download issue in Edit Order.
- Fix - Hide quiz description in student quiz scoreboard.
- Fix - VdoCipher embed issue caused by encrypted-media restriction on iframe.
- Fix - Enforced email verification before account access after checkout.
- Fix - Translation issue in thankyou page.
- Fix - Password strength message issue.

= 1.18.0 - 20-05-2025 =
- Feature - Webhook actions. [PRO]
- Feature - Custom fields in course builder.
- Enhancement - Masteriyo onboarding UI/UX revamp.
- Enhancement - Instructor list page UI revamp.
- Enhancement - Google Meet tab option in the account page.
- Enhancement - Dynamic Minimum Payout Amount for Instructors.
- Enhancement - Added refresh template button to refetch certificate templates.
- Enhancement - Added additional certificate templates. [PRO]
- Refactor - Questions per page max limit is set to 999.
- Refactor - Course archive filter UI revamp.
- Refactor - Enqueue style and scripts for page speed.
- Refactor - Overall new icons updated in backend and frontend side.
- Fix - Other Users order invoice PDF downloadable. [PRO]
- Fix - i.map is not a function.
- Fix - Course review reply undefined get_avatar_url.
- Fix - Show review for enrolled users only not working.
- Fix - Revenue sharing minimum payout amount issue.
- Fix - Account Page width in WP default theme.
- Fix - Learnpress conflicting our backend pages.
- Fix - Compatibility issue with YITH gift cards.
- Fix - Course start email not sending issue to admin and instructor.
- Fix - Course bundle and webhook issue in checkout. [PRO]

= 1.17.5 - 01-05-2025 =
- Feature - Coupons can now be applied to specific courses, bundles, and course categories. [PRO]
- Feature - Added support for automatic and stackable coupons. [PRO]
- Compatibility - PHP 8.4 compatible.
- Enhancement - Send login info to the user when created via admin.
- Enhancement - Custom font support in certificate blocks. [PRO]
- Refactor - Implement transient cache in user course repository.
- Fix - Extra questions appearing after importing quiz.
- Fix - User role undefined issue in account page.
- Fix - useMasteriyoPlayer scope issue.
- Fix - Cannot declare class WpOrg\Requests\Requests. [PRO]
- Fix - PDF lesson flickering issue. [PRO]
- Fix - Correct password handling in CSV user enrolment. [PRO]
- Fix - Reduce unnecessary activity log requests by skipping tracking for non-logged-in users. [PRO]
- Fix - Fill in the blanks answers prefill issue. [PRO]
- Fix - Order invoice fatal error when certificate addon is disable.

= 1.17.4 - 18-04-2025 =
- Fix - Import users password does not match while login.
- Fix - Update authentication error messages and API references in RestAPIAuth and RestAuthController.
- Fix - Three elements with same id warning in course settings.
- Fix - Review star reset issue on IOS devices.

= 1.17.3 - 08-04-2025 =
- Update - Removed unwanted files from repo.

= 1.17.2 - 08-04-2025 =
- Fix - Security related issues.

= 1.17.1 - 02-04-2025 =
- Enhancement - Email Translations support using WPML.
- Enhancement - Added group pricing multiple currencies option.
- Enhancement - Instructor auto approval when added by admin.
- Enhancement - Added duplicate question option in Question Bank.
- Enhancement - Order purchase email send only after payment is successful in case of payment gateway excluding offline payment.
- Refactor - REST API Success/Error Handling.
- Refactor - Masteriyo player.
- Fix - Certificate font compatibility issue for different OS.
- Fix - Public profile pagination issue. [PRO]
- Fix - Improve contact existence check and update/create logic in Brevo integration.
- Fix - Deprecated issue for course pagination in PHP 8.1 or above.
- Fix - Global setting svg alignItem console warning.
- Fix - Timer not updating when switching between contents in learn page.
- Fix - Questions not showing in quiz builder if exceeds 100.
- Fix - Invoice download issue from account page. [PRO]
- Fix - Runtime error in Gamipress setting. [PRO]
- Fix - Pass user ID instead of user object to allow_password_reset filter.
- Fix - Check if Masteriyo account shortcode is exists or not in the account page.
- Fix - Mollie payment issue for course bundle. [PRO]
- Fix - Fatal error call to a member function get_page_permastruct().
- Fix - Resolve conflict between Masteriyo checkout and WooCommerce checkout.

= 1.17.0 - 12-03-2025 =
- Feature - Question bank.
- Feature - Custom fonts upload option for certificate. [PRO]
- Refactor - Show/hide components of courses page.
- Refactor - Used Mailchimp REST API instead of SDK.
- Enhancement - Featured video support on related course and course bundle. [PRO]
- Enhancement - Added option to reflect show/hide component in single course page.
- Enhancement - Added a scroll bar to the single course curriculum UI when the section's exceeds 17 contents.
- Enhancement - Add functionality to mark course or content complete from student report. [PRO]
- Fix - Hide courses per row option in list view mode and other layouts.
- Fix - Disable enroll button on enrollment limit reached.
- Fix - Curriculum count showing only lessons count issue.
- Fix - Fatal error for SCORM course when certificate is disabled.
- Fix - Permission notice for non previewable content in learn page for non enrolled users. [PRO]
- Fix - WooCommerce product delete issue if course is linked. [PRO]
- Fix - Start URL issue for Google Meet.
- Fix - Start URL issue for Zoom. [PRO]

= 1.16.1 - 05-03-2025 =
- Enhancement - Gamipress support for SCORM's course completion.
- Enhancement - Added `view` attribute in courses shortcode for list and grid view.
- Enhancement - Option to show course attachments to login user or enrolled users. [PRO]
- Fix - Resolved security vulnerabilities.
- Fix - Global setting's single course page icon.
- Fix - Group courses enrolment limit notice.
- Fix - Light/dark mode text not translatable.
- Fix - Supported WooCommerce Shipping & Tax in course related product page.
- Fix - Design issue in Divi Builder.
- Fix - URL, Image support for quiz's questions.
- Fix - React Warning for Data targetId.
- Fix - Zoom in PDF lesson Viewer. [PRO]
- Fix - Get Gravatar img url if only enable.
- Fix - Whitelisted CSS for plugin like Elementor, Rank Math, MonsterInsight in learn page.

= 1.16.0 - 12-02-2025 =
- Feature - Mollie Payment Gateway.
- Feature - MasterStudy and Lifter LMS migration.
- Feature - REST API Authentication.
- Feature - Individual quiz import and export option in course builder.
- Feature - Added audio lesson type. [PRO]
- Feature - Video subtitle upload options in video lesson. [PRO]
- Enhancement - Filters and sorting option for courses page.
- Enhancement - Wire transfer option in offline payment.
- Enhancement - Added option to enable/disable OpenAI.
- Enhancement - Additional file type support for audio and video types in doc uploader.
- Enhancement - Masteriyo Global Setting UI minor revamp.
- Enhancement - Added option to convert Youtube livestream to normal Youtube video after live stream end. [PRO]
- Refactor - Social login for plain permalink selected case. [PRO]
- Fix - Backend pages not working with AI engine plugin.
- Fix - Stripe recipient email issue.
- Fix - Compatibility with Divi builder plugin.
- Fix - Correct answer handling when switching from multiple to single choice question type.
- Fix - Watch full video issue when content drip is sequential.
- Fix - Quiz title media displayed as plain text in learn page.
- Fix - Password updated for same current and new passwords issue.
- Fix - Lesson comment redirection for guest user after logged in.
- Fix - Course exports key translation issue.
- Fix - Completed course showing in account page dashboard in continue studying.
- Fix - Ajax filter not working in course archive for layout 1 and 2. [PRO]
- Fix - Courses sorting query logic in Courses page. [PRO]
- Fix - Assignment retake issue when it is reviewed. [PRO]
- Fix - Enrollment limit issue.
- Fix - Course list badge UI.
- Fix - Single course permalink URL changed based on permalink structure of WordPress.
- Fix - Invoice download fails after PayPal payment.
- Fix - .mov and .flv video support in Doc Uploader.
- Fix - Issue on UI on layout 1 and 2 while filtering courses in courses page.
- Fix - Delete the registered users data associated with the Masteriyo while uninstalling delete all data.
- Fix - Stripe transaction id not generating issue.

= 1.15.2 - 28-01-2025 =
- Enhancement - Unmute autoplay option added in Masteriyo player settings.
- Fix - Semicolon appear in single course page setting.
- Fix - Backend pages not working with latest Gutenberg update.

= 1.15.1 - 10-01-2025 =
- Fix - Multiple pages creation on activation issue.
- Fix - Elementor single course page template issue.
- Fix - Multiple carousels to function on the same page.
- Fix - Set iframe height to full for YouTube videos on Masteriyo Player.
- Fix - Correct rounding logic for total amount calculation in Stripe addon.
- Fix - Review and comment filter text and count issue.
- Fix - Approve review and comment notice visible on update.
- Fix - User Registration add-on does not automatically enable the Integrations tab in the settings.
- Fix - Question name default value issue.
- Fix - Not found child error on dashboard.

= 1.15.0 - 02-01-2025 =
- Feature - BuddyPress Integration.
- Feature - Content drip (Sequential and Free Flow).
- Tweak - `Reviews` submenu name updated with `Reviews & Comments`.
- Tweak - Replace `Question Name` input field with WP basic editor.
- Update - Emails content improvised.
- Update - JS packages upgraded and fix console deprecation warning of several packages.
- Refactor - Rearrangement global settings options and optimize API calls.
- Refactor - Backend pages UI responsive fixes and minor revamp.
- Refactor - Admin notices for Masteriyo Page.
- Enhancement - Added quiz reveal mode.
- Enhancement - Added multiple emails for admin, instructors and students.
- Enhancement - Lesson comments can be accessible through `Reviews & Comments` page for editing and reviewing lesson comments.
- Enhancement - Account section consistency with RTL languages.
- Enhancement - Multiple cache plugin compatibility, auto set recommended settings and display warning for affected cache setting.
- Enhancement - Notification count in backend submenus for Orders, Users and Reviews.
- Enhancement - Added notice if Masteriyo pages not setup correctly and option for auto setup missing pages.
- Enhancement - Quiz builder overall performance optimized.
- Fix - Timestamp title crash issue with non ASCII characters.
- Fix - Google meet course id null on update.
- Fix - Show lemon squeezy checkout option for course link with lemon squeezy.
- Fix - Quiz points minimum value set to 1.
- Fix - UI issue in public profile.
- Fix - Editor image alignment not working.
- Fix - Learn page missing scrollbar for longer contents.

= 1.14.3 - 19-12-2024 =
- Enhancement - Added report issue button on error page.
- Enhancement - Added logic to clear duplicate lesson progress from `Clear Cache` button.
- Update - Added states for Venezuela.
- Fix - Video Lesson `Mark as complete` issue.
- Fix - Setting `Advance` title updated to `Advanced`.
- Fix - Download material preview issue.
- Fix - Student redirection to course page issue after registration.

= 1.14.2 - 03-12-2024 =
- Enhancement - Added course completion button in SCORM course.
- Enhancement - Added option to update course review reply status.
- Tweak - Default course content access to true.
- Fix - Do not add student role for admin & instructor while starting course.
- Fix - Valid phone number showing as invalid in checkout.
- Fix - Course ID not found issue for password protected course with WooCommerce Integration.
- Fix - Bracket displaying in course list of Bricks builder.
- Fix - Certificates not listing in account page.
- Fix - Translation properly not working issue.
- Fix - Incorrect user course progress data in account dashboard tab.
- Fix - Large quiz attempt data not updating issue.

= 1.14.1 - 20-11-2024 =
- Fix - Sample courses file not found issue after first sample course install.
- Fix - Instructor approval issue in add new instructor page.
- Fix - Course progress bar division by zero error.
- Fix - WooCommerce add to cart issue if product is not publish and start course issue.
- Fix - Account page UI issue in twenty twenty five theme.
- Fix - Stripe JS not loading on checkout.

= 1.14.0 - 19-11-2024 =
- Feature - Fluent CRM Integration.
- Feature - Stripe payment gateway.
- Feature - Lesson Comments.
- Feature - Added support for Math equations in lesson, quiz and assignment.
- Feature - Individual or multiple courses exportable from course listing page.
- Compatibility - Compatible with WordPress v6.7.
- Enhancement - Import/Export overall optimization in backend processing.
- Enhancement - Lessons now have individual type (Text, Video and Live Stream lesson.)
- Enhancement - Add new content in course builder now appear in modal instead of popover.
- Enhancement - Added option for post checkout landing page in page setting.
- Enhancement - Added shortcode `[masteriyo_student_registration]` for student registration form.
- Enhancement - Added progress bar and started at info in single course page.
- Enhancement - Added SCORM in advance global setting to add additional extension file type.
- Refactor - Lesson builder UI revamp.
- Refactor - Backend pages minor UI revamp (Button outline, colors, font sizes and styles, icons).
- Refactor - Google classroom backend revamp.
- Update - JS packages upgraded.
- Tweak - Group member limit error message.
- Fix - Global settings UI.
- Fix - Single course page UI issues.
- Fix - Prevent error when retrieving capabilities for non-existent roles.
- Fix - Account page access to other user roles.
- Fix - Error in account page when SCORM addon is active.
- Fix - Hide Lemon Squeezy Settings from course page if it's disabled on global setting.
- Fix - Accordance Issue in Setting Page.
- Fix - Permission check for certificate share preview.
- Fix - Forward ref issue in async select.
- Fix - See More Issue in Review Filter in Single Course Page.
- Fix - Revenue sharing withdraw section box UI.
- Fix - Tooltip now consistent with global settings.
- Fix - Body color removed from single course block.
- Fix - Console warning related to react defaultProps.
- Fix - Hide curriculum tab for SCORM and Google classroom courses.
- Fix - Dynamic primary colour not reflecting for course archive layout 1 and 2.
- Fix - Add student role to enrolled users if user has no student role.
- Fix - Allow download/preview of certificate link even when certificate option is disabled on the course.
- Fix - Rate this course for guest non logged in users in learn page after course completion.
- Fix - Issue in course purchase after WooCommerce product trash or deletion.
- Fix - Compatibility issue with GIFT4U - Gift Cards All in One for WooCommerce.

= 1.13.5 - 15-11-2024 =
- Fix – JavaScript 'Selectors' error in WP 6.7 version.

= 1.13.4 - 22-10-2024 =
- Fix - Resolved security vulnerabilities.
- Fix - SCORM course type user progress issue.

= 1.13.3 - 03-10-2024 =
- Feature - Brevo Integration.
- Enhancement - Auto Sync in WooCommerce product if course is updated.
- Enhancement - Added option to show or hide header/footer in the account page.
- Enhancement - Countdown timer UI revamp in learn page.
- Enhancement - Added certificate share option.
- Enhancement - Certificate for SCORM course.
- Enhancement - Content width adjustable in learn page.
- Fix - Redirect to incorrect checkout page issue when WooCommerce product is in draft and Masteriyo course is in publish.
- Fix - Other quiz attempts access by student if user id param is given.
- Fix - Permission related issues.
- Fix - Video mute on start issue in other platform except YouTube.
- Fix - Video sharing option and right click option changed to false by default.

= 1.13.2 - 24-09-2024 =
- Enhancement - Added support and debug docs link in error page.
- Enhancement - Global setting minor UI update.
- Fix - cssRules issue and used chakra animation for loader.
- Fix - Course continue URL issue in SureCart integration.
- Fix - Google classroom permission issue on addon deactivation.
- Fix - Set default value of lesson video share and right click option to false.

= 1.13.1 - 16-09-2024 =
- Fix - Global setting issue due to the translations.

= 1.13.0 - 12-09-2024 =
- Feature - Certificate builder.
- Feature - Tutor LMS migration.
- Refactor - Global Settings UI revamp and performance optimization.
- Refactor - Learn page performance optimization.
- Enhancement - Learn page responsiveness.
- Enhancement - Now only content will be loaded instead of full screen loader in learn page.
- Enhancement - Added option to download invoice from order history in the account page.
- Enhancement - Added option to enable/disable profile tab, apply for instructor and edit profile in the account page.
- Enhancement - Added Course and Course categories carousel Elementor Widgets.
- Enhancement - Addon page UI update and addon submenu instantly reflect on activation/deactivation.
- Enhancement - Added option for quiz auto abandon or submission after quiz time expires.
- Enhancement - Optimize PHP queries data by caching.
- Enhancement - Lock icon added in curriculum if user is not enrolled in a course.
- Update - Package woocommerce/action-scheduler upgraded to v3.8.1.
- Fix - Primary color not reflecting on some icons and missing text translation.
- Fix - YouTube video not playing after refresh.
- Fix - Google meet instructor permission issue.
- Fix - Courses block not working issue.
- Fix - PHP8 deprecation warning.
- Fix - Account page items can be seen from url even if disable in global setting.
- Fix - User role not getting updated to Masteriyo Student after SureCart checkout.

= 1.12.3 - 20-08-2024 =
- Fix - Minor fixes.

= 1.12.2 - 19-08-2024 =
- Feature - Course Wishlist Addon.
- Feature - Gutenberg blocks for single course.
- Enhancement - System performance optimized.
- Enhancement - Additional Elementor widgets (Course Coming Soon and Group Course).
- Enhancement - Focus Mode in learn page.
- Enhancement - Redirect user to course or checkout page if guest user logged in or sign up through course register now or buy now button.
- Enhancement - Logger Functionality implemented.
- Update - Requires WordPress version 6.5 or higher.
- Update - Isolated Editor updated to version 2.29.0.
- Fix - Added toast notification for the "Add New Google Meet" button on the builder page.
- Fix - Bricks Builder UI Issue.
- Fix - Google Meet Delete issue.
- Fix - Text translation issue in order status and account page toggle.
- Fix - Mark as complete button issue in interactive lesson.
- Fix - Lesson's block editor text not highlighted.
- Fix - Course announcement permission issue for instructors.
- Fix - Divi categories and instructor include/exclude settings.
- Fix - Logo changes are now reflected on the learning page.
- Fix - issue with scrolling into view when adding a new section.
- Fix - Addressed "Route not found" error on the learning page when Google Meet addon is disabled.

= 1.12.1 - 05-08-2024 =
- Enhancement - Replace text area with classic editor in question description field.
- Fix - Mark as complete button issue in the learn page.
- Fix - Thumbnail UI issue in player.

= 1.12.0 - 24-07-2024 =
- Feature - Added Masteriyo Player.
- Feature - SureCart Integration Addon.
- Feature - Course categories slider using shortcode.
- Enhancement - Added Child theme support for Bricks Builder.
- Enhancement - Restructure Masteriyo submenus.
- Enhancement - Added minified JS files.
- Fix - Unable to edit the course items while course is password protected.
- Fix - Added coming soon timer for single course layout 1.
- Fix - Single course page review section design issue.
- Fix - Made notification content translatable.
- Fix - Remove correct key from answer data in question API.
- Fix - Prevent access to unpublished courses and course items.
- Fix - Double password reset email to student.
- Fix - Meta data not hidden for layout 1 single course for course coming soon.
- Fix - Course coming soon UI issue in layout 1 single course.
- Fix - Instructor approval email not sending to instructor.
- Fix - Error on edit page while WC integration is enable and cart is not empty.
- Fix - Course password and end date issue while updating the course items.
- Fix - Isolated block editor UI issues.
- Fix - UI issues in default themes for layout 1 single course.
- Fix - User Registration Plugin compatibility issue fixes for forgot password.
- Fix - Pointer events unset in default theme footer.

= 1.11.6 - 17-07-2024 =
- Fix – Compatibility issue with WordPress 6.6 version.

= 1.11.5 - 09-07-2024 =
- Fix - Course archive new layouts not reflecting in courses page.
- Fix - Download materials not showing in the lesson learn page.
- Fix - Ensure course is published before review creation.
- Fix - Prevent unverified instructors from accessing users.
- Fix - Unauthorized access to password protected course.
- Fix - Blank heading tag issue if question heading is not set.

= 1.11.4 - 28-06-2024 =
- Fix - User first and last name blank issue on student registration webhook trigger.
- Fix - Video ID issue while editing lesson.

= 1.11.3 - 26-06-2024 =
- Feature - Course archive styles customize from global settings.
- Feature - Brick Single Course template for Courses and Single Course Page.
- Feature - Add YouTube live stream option for lesson videos.
- Enhancement - Added Add to cart option in WooCommerce integration.
- Enhancement - Display reviews to all users; restrict review posting to enrolled users only.
- Enhancement - Added dark and light mode in learn page.
- Fix - Guest user not able to start quiz.
- Fix - Permission issue on fetching changelog.
- Fix - Addon requirement check for multisite network active.

= 1.11.2 - 14-06-2024 =
- Fix - Resolve multiple currency issue in courses shortcode page.
- Fix - Resolve Elementor builder issue related to course retake feature.
- Fix - Divi course description text format issue.

= 1.11.1 - 07-06-2024 =
- Fix - Course coming soon timer issue.
- Fix - Checkout page login link increased font weight.
- Fix - Google Meet filter issue.

= 1.11.0 - 06-06-2024 =
- Feature - Multiple Currency addon.
- Feature - Google Meet integration addon.
- Feature - BunnyNet integration addon.
- Feature - Course coming soon addon.
- Feature - Embed video option for lesson.
- Enhancement - Implemented transient cache.
- Enhancement - Implement auto woocommerce product creation from course setting.
- Enhancement - User course progress query optimization.
- Enhancement - Backend page UI responsiveness.
- Enhancement - Course one time fee validation before updating course.
- Enhancement - Added course retake and google classroom meta elementor widget.
- Enhancement - Addons checkbox and description and prevent page from reloading after activating and deactivating addons.
- Fix - PHP 8.2 deprecated notice.
- Fix - Allow admin updates only to status for other groups.
- Fix - Rating review and quiz review in learn page issue.
- Fix - Backend course filter issue.
- Fix - Prevent instructors from viewing other reviews, quiz attempts and Q&A.
- Fix - Draft badge not showing for lesson and quiz.
- Fix - Instructor unable to update the review on their course.

= 1.10.1 - 22-05-2024 =
- Fix - Question and answers not deleting issue.
- Fix - Account page UI issue in Divi and Astra theme.
- Fix - Account page responsive issue.
- Fix - Individual course review setting issue.

= 1.10.0 - 20-05-2024 =
- Feature - New dashboard page.
- Feature - Two new course archive layout and one new single course layout options.
- Feature - Beaver Builder Integration.
- Enhancement - Account section UI revamp.
- Enhancement - Added H5P embed button in classic editor.
- Enhancement - Added analytics tab on instructor dashboard.
- Fix - Course preview on elementor editor.
- Fix - Course badge value disappearing after course update.
- Fix - Fatal error when deleting course review from single course page.
- Fix - Gutenberg Courses setting category filter not working in select options.
- Fix - Course author issue while creating a course by instructor.


= 1.9.4 - 01-05-2024 =
- Refactor - Manage all addons permission from core capabilities file.
- Fix - Instructor transfer issue while deleting the instructor.
- Fix - Video and image preview not working on attachment.
- Fix - Integration tab not showing on global setting when integration addon active.
- Fix - Course welcome message and started time issue.
- Fix - Remove login session limit for administrator.

= 1.9.3 - 22-04-2024 =
- Feature - Lemon Squeezy payment integration.
- Feature - Login Session Management.
- Enhancement - Added course Review filter in single course page. 
- Enhancement - Welcome message to first time user in a course. 
- Enhancement - Added static enroll count option in course setting. 
- Enhancement - Addons page UI revamp. 
- Enhancement - Added Lesson and Quiz clone option. 
- Enhancement - Added Course badge option in course setting.
- Enhancement - Added class name on the account profile page.
- Tweak - Global settings search and Save setting position changed.
- Fix - With course refresh access, set non existing enrolled users course status to inactive.
- Fix - Deactivate user course enrollment upon user deletion.
- Fix - Global setting tab issues.

= 1.9.2 - 09-04-2024 =
- Enhancement - Added lesson video URL type option for learn page.
- Fix - Block editor error issue.
- Fix - Course review issue in learn page.

= 1.9.1 - 04-04-2024 =
- Compatibility - Compatibility with WP 6.5.
- Fix - Global setting issue.
- Fix - Download materials showing twice on addons page.
- Fix - PHP 8.2 warning: Deprecated strtolower() call.
- Fix - Private js console error in WP 6.5.

= 1.9.0 - 27-03-2024 =
- Feature - Group Course.
- Feature - QR Code Login.
- Feature - Download Material.
- Feature - Bricks Builder Integration.
- Enhancement - Course review need approval.
- Enhancement - Added Utilities tab in Tools page.
- Enhancement - Added search functionality in Settings.
- Enhancement - Show/Hide Components Supports for Courses Shortcode Page.
- Enhancement - Added a Quick Edit Option in the Courses Section.
- Enhancement - Draft options added for quiz and lessons.
- Enhancement - Show Students available seats.
- Enhancement - Notifications UI update and addition in learn page.
- Enhancement - Added sale price option.
- Enhancement - Added courses order and orderby option for courses listing page.
- Enhancement - Added Shortcodes tab in tools page.
- Enhancement - Added question description option.
- Enhancement - Added "Download Invoice" Feature to the Thank You Page.
- Fix - User Registration Integration compatible issue with User Registration PRO.
- Fix - Account Section responsiveness.
- Fix - Old attempted quiz data duplicated in new quiz attempt issue.

= 1.8.4 - 20-03-2024 =
- Update - Text domain from `masteriyo` to `learning-management-system`, conforming to WordPress standards.

= 1.8.3 - 07-03-2024 =
- Feature - SCORM Complaint.
- Feature - Google Classroom Integration.
- Enhancement - Added option to enable/disable review in individual course setting.
- Fix - Quiz reviews error if user doesn't exist.
- Fix - Course enrollment duplication issue.
- Fix - Sanitize course review after course completion fields.
- Fix - Quiz user attempt data not clearing from session storage after submission.
- Fix - Localized editor settings in Masteriyo page only.

= 1.8.2 - 27-02-2024 =
- Fix - Fatal error while downloading order PDF invoice.

= 1.8.1 - 26-02-2024 =
- Feature - WooCommerce Integration.
- Enhancement - Loading spinner changed to skeleton in addons page.
- Fix - Prevent page from reloading on enter while filtering data in backend.
- Fix - Order itemmeta inserting issue while WooCommerce plugin is active.
- Fix - Setup wizard responsive issue.
- Fix - Masteriyo blocks effecting widgets section.

= 1.8.0 - 15-02-2024 =
- Feature - Migration from LearnPress and LearnDash LMS.
- Feature - Course access via password.
- Feature - Restrict course content access during quiz.
- Enhancement - Admin can download order PDF invoice.
- Refactor - Notifications content manage from backend.
- Fix - Course featured image issue.
- Fix - Ordering issue for lesson and quizzes of course created using OpenAI.
- Fix - Ensure access to courses when pricing is added post-enrollment.
- Fix - Course retake text duplication.

= 1.7.4 - 23-01-2024 =
- Refactor - Course progress and notifications API permission.
- Fix - Notification read and clear issue.

= 1.7.3 - 17-01-2024 =
- Feature - Added Gutenberg editor option.
- Enhancement - Show confirmation dialog on submit the quiz.
- Enhancement - JS package has been upgraded.
- Enhancement - Additional role selection options for students and instructors.
- Enhancement - Added last course updated info in the single course page.
- Fix - Draft enrolled course issue in the account page.
- Fix - Error message if there is error during creating user on checkout.
- Fix - Update the user enrollment status based on order status.
- Fix - All orders shown on admin account order history.
- Fix - User being able to change role from API request.
- Fix - Course highlight cursor issue.

= 1.7.2 - 26-12-2023 =
- Enhancement - Show sample courses and setup wizard tools tab to admin only.
- Fix - Unable to access dashboard if admin or instructor has student role.
- Fix - PHP8.1 deprecated notices.
- Fix - Permission issue in the account order history page.
- Fix - Course announcements permission issues.
- Fix - User notifications issue.
- Fix - Arrow function in Open AI causes an error in the backend.
- Fix - Course continues URL in the account page.

= 1.7.1 - 19-12-2023 =
- Feature - [User Registration](https://wordpress.org/plugins/user-registration) integration addon.
- Feature - Notification systems for students.
- Feature - Course review after course completion from learn page.
- Enhancement - Course, Lesson, Quiz contents generation with Open AI.
- Enhancement - Added option to show/hide order history in the account page.
- Enhancement - Added filters on account page.
- Refactor - Updated reset password email content.
- Fix - Course archive page search section design issue.
- Fix - Empty answer input field edit problem on quiz builder.
- Fix - Account page design issue in twenty twenty four theme.
- Fix - Console warning in the quiz review page.
- Fix - PayPal order status unchanged after successful payment.
- Fix - Learn page site title overflow issue.

= 1.7.0 - 28-11-2023 =
- Feature - Quiz review system.
- Feature - Course end feature.
- Feature - Course retake feature.
- Enhancement - Added global option to show review for enrolled students only.
- Enhancement - Added quiz access options for guest users.
- Enhancement - The setup wizard has been re-enhanced.
- Enhancement - Added option to show or hide the learn page sidebar initially.
- Compatibility - Compatibility with WP 6.4.
- Refactor - Set `template_include` priority to `100`.
- Fix - Questions deletions issue if an empty section is deleted.
- Fix - Quiz attempts backend listing filters.
- Fix - Course highlight issue in WP 6.4.
- Fix - Course archive global setting responsive.
- Fix - Course archive page list view design issue in WP default themes.
- Fix - Elementor single and archive page element not rendering issue.

= 1.6.16 - 16-10-2023 =
- Feature - Oxygen builder integration addon.
- Feature - Course announcements.
- Feature - Added Instructors list page and Instructors listing shortcode `[masteriyo_instructors_list]`.
- Enhancement - Added global settings for auto load next content on completing content.
- Enhancement - Added global setting option to disable 'Complete Quiz' button if students didn't pass quiz.
- Enhancement - Added filter options on addons page.
- Enhancement - Show icon based on template source (like Elementor, Divi, Masteriyo) on the settings page.
- Enhancement - Show create new template link below template options in Elementor.
- Enhancement - Add “Use template for Masteriyo” action in templates list table showed by Elementor.
- Refactor - Implement basic caching on user courses to eliminate duplicate queries.
- Fix - PHP 8 Deprecated Parameter Order in OpenAI.
- Fix - Random 0 on the learn page.
- Fix - Preview permalink of quiz and lesson.
- Fix - Font CSS issue on learn page quiz description.
- Fix - To admin email gap issue on global email settings.
- Fix - Import popup showing up on unrelated pages in Elementor
- Fix - Unusable widgets showing up everywhere in Elementor.

= 1.6.15 - 27-09-2023 =
- Feature - Open AI Chat GPT Integration.
- Feature - Gamipress Integration.
- Feature - Quizzes import/export.
- Enhancement - Allow admin/instructors to start their courses without enrolling.
- Fix - Divi builder console JS error in learn page.
- Fix - Showing wrong total question count after attempting quiz.
- Fix - Thank you page redirect issue.

= 1.6.14 - 05-09-2023 =
- Feature - Revenue sharing addon.
- Feature - Settings import/export system.
- Enhancement - Bulk activate/deactivate addons.
- Enhancement - Added purchased course on account page under 'Your Courses' tab.
- Enhancement - Course thank you page after successful course completion, option to select WP pages or custom URL in global page setting.
- Enhancement - Check course category exists before creating it.
- Enhancement - Enable/disable email verification option on global setting advance tab.
- Fix - Email verification not working.

= 1.6.13 - 28-08-2023 =
- Feature - Divi builder Integration.
- Feature - Course visibility option (logged in to view course).
- Feature - Users import/export system.
- Enhancement - Apply for instructor option from student profile.
- Enhancement - Auto scroll to the completion notice after the course is completed.
- Enhancement - Show/hide component now reflect on single course, instructor and course category page.
- Enhancement - When continue learning a course, last open content will be visible instead of initial content.
- Fix - Instructor upload media not being saved on course description.
- Fix - Default order issue for course categories shortcode.
- Fix - Course preview permalink in backend header.
- Fix - Typo on payment details text.
- Fix - Webhooks position in instructor sub menu on dashboard page.
- Fix - GDPR message not being updated.
- Fix - Course and review search filter not working on backend.
- Fix - 'isActive' warning on backend pages console.

= 1.6.12 - 10-08-2023 =
- Feature - Elementor Integration and Customize courses pages with Elementor.
- Feature - Email verification.
- Enhancement - Added masteriyo related course [shortcodes](https://docs.masteriyo.com/shortcodes) and enhanced existing shortcodes.
- Enhancement - Create user during checkout.
- Enhancement - Added view course button on account page when there is no enrolled courses.
- Refactor - Backend pages header.
- Fix - Fatal error when webhook delivery url is invalid.
- Fix - Invalid delivery url in webhook can be set.
- Fix - Courses list view UI issue with WordPress default themes.
- Fix - Incorrect account page link in order thank you page.
- Fix - Courses page global settings not working in Divi theme.

= 1.6.11 - 01-08-2023 =
- Compatibility - Made compatible with SEO plugins (Yoast and Rank Math).
- Fix - Quiz question type icon issue.
- Fix - Flicker of UI on initial page load when courses page is in list view.
- Fix - Bulk categories deletion not working.
- Fix - One instructor's webhooks triggers other instructor's webhooks.
- Fix - Course difficulty auto creation issue.

= 1.6.10 - 25-07-2023 =
- Fix - Course content navigation showing in reverse order in learn page.

= 1.6.9 - 19-07-2023 =
- Feature - Webhooks.
- Enhancement - Added option to select course difficulty colour.
- Enhancement - Validate old password before changing password.
- Fix - Instructors not being able to list and add courses.
- Fix - Restrict instructors to change the author of the course.

= 1.6.8 - 03-07-2023 =
- Fix - Issue where low-level roles can list basic information.

= 1.6.7 - 27-06-2023 =
- Feature - Dashboard Analytics.
- Compatibility - The updated minimum required PHP version to 7.2.
- Enhancement - Course archive list and grid view option.
- Enhancement - Added global setting to show/hide course archive components.
- Enhancement - Quiz question answer builder and improve the performance.
- Fix - Learn page header toggle button background issue.
- Fix - Pagination issue with the background and color.
- Fix - Categories select box issue.
- Fix - Account Order history status color.

= 1.6.6 - 19-06-2023 =
- Enhancement - Refactor error handle and show an error message instead of error stack.
- Fix -  GDPR required notice showing while checkout even if GDPR is disabled.

= 1.6.5 - 15-06-2023 =
- Feature - GDPR Compliant.
- Feature - Question & Answer bulk trash, delete and restore.
- Feature - Order bulk trash, delete and restore.
- Feature - Reviews bulk trash, delete and restore.
- Feature - Students and instructors bulk delete.
- Feature - Quiz attempts bulk delete.
- Compatibility - Made compatible with block theme.
- Fix - Q&A user profile image url issue if user does not exist.
- Fix - Account page not redirecting to Dashboard tab initially.
- Fix - Category list table background issue.

= 1.6.4 - 12-06-2023 =
- Fix - Minor fixes.

= 1.6.3 - 12-06-2023 =
- Fix - City, State and Postcode are required during checkout even if they are disabled.

= 1.6.2 - 12-06-2023 =
- Fix - JS not loading in WordPress 6.0 and 6.1 version.

= 1.6.1 - 10-06-2023 =
- Fix - Password email reset not working.

= 1.6.0 - 07-06-2023 =
- Compatibility - Updated minimum required WordPress version to 6.0.
- Feature - Import/Export system on Tools page.
- Feature - Sample course installation on setup wizard and Tools page.
- Feature - Question and Answer management from the backend.
- Feature - Course bulk trash, delete and restore.
- Feature - Categories bulk trash, delete and restore.
- Enhancement - Added Tools page in the backend.
- Enhancement - Added setting to add extra fields in checkout in the global settings payments tab.
- Enhancement - Added support for slashes in course, lesson and quiz description.
- Enhancement - Implemented deactivation popup modal.
- Tweak - Update the courses archive page according to the page title.
- Fix - Design issue in edit review page.
- Fix - Fatal error while creating and deleting course review.
- Fix - Warning constant DONOTCACHEPAGE already defined.
- Fix - Price format for PHP 8.
- Fix - PayPal standard amount missing error.

= 1.5.43 - 05-05-2023 =
- Enhancement - Added Enrolled students count column in the course list backend page.
- Fix - Quotes not being supported in the quiz answers field.
- Tweak - Refactor codes.

= 1.5.42 - 02-05-2023 =
- Fix - Minor fixes.

= 1.5.41 - 02-05-2023 =
- Tweak - Refactor codes.
- Tweak - Remove deprecated codes.

= 1.5.40 - 21-04-2023 =
- Compatibility - Made compatible with default WordPress themes (TwentyTwentyOne, TwentyTwentyTwo and TwentyTwentyThree).
- Enhancement - Added classes in the account page.
- Fix - Removed Chakra UI dynamic class from styling in Astra, Divi and Hello Elementor theme.

= 1.5.39 - 11-04-2023 =
- Enhancement - Added show/hide password functionality in Paypal settings.
- Fix - Different back to course link after completing a course on learn page.
- Fix - Unable to remove Youtube and Vimeo videos in the lesson.
- Fix - Quiz attempt for guest user.
- Fix - Course Progress summary for guest user.

= 1.5.38 - 30-03-2023 =
- Compatibility - WordPress v6.2 compatibility update.

= 1.5.37 - 20-03-2023 =
- Enhancement - Show quiz result on learn page and throw an error message if the quiz attempt exceeds.
- Enhancement - Make quiz duration translatable on learn page.
- Enhancement - Only show courses which exist and are enrolled by the users on the account page.
- Fix - Blank screen in learn page if Gutenberg plugin or WP 6.2 exists.
- Fix - Blank account page after registration.

= 1.5.36 - 01-03-2023 =
- Compatibility - Made compatible with different cache plugins. (HummingBird, LiteSpeed, W3TotalCache, WPFastestCache, WPOptimize, WPRocket and WPSuperCache)
- Enhancement - Make logout action similar to account page in learn page.
- Enhancement - Used formatted price to show prices in courses price and orders.
- Enhancement - Remove course rating count as well when global course review is disabled.
- Tweak - Display country and state name instead of code in profile billing page.

= 1.5.35 - 21-02-2023 =
- Enhancement - Enhance email settings with a newer way to control settings.
- Fix - Course name with ampersand sign for orders list.
- Fix - Added filter to change quiz icon.
- Fix - Translation not working after every version of the plugin is released.
- Fix - Remove space around author name in single, courses and related courses.

= 1.5.34 - 08-02-2023 =
- Fix - Course author profile image not being display on single and course archive page.

= 1.5.33 - 08-02-2023 =
- Fix - Depreciation warning where trim() is being called on null instead of string.
- Fix - Show only enrolled courses by the user in the Account enrolled courses.
- Fix - User profile image not displaying in the learn page.
- Enhancement - Localize True/False label.

= 1.5.32 - 01-02-2023 =
- Enhancement - Added alt tags to author avatar image.
- Tweak - Remove unnecessary JS scripts in learn page.
- Fix - Undefined post property.

= 1.5.31 - 25-01-2023 =
- Fix - Instructor page overtaking the author page, therefore author's posts are not being displayed.

= 1.5.30 - 23-01-2023 =
- Enhancement - Do not display quiz/lesson count in learn page when there are no lessons or quizzes in the course.
- Fix - Lesson/Quiz preview link for default permalink settings.
- Fix - Localization of expand all and collapse all text in a single course page.
- Fix - Unable to start course from account page if a course is completed.

= 1.5.29 - 13-01-2023 =
- Fix - Paypal enabled for non supported currencies.

= 1.5.28 - 10-01-2023 =
- Enhancement - Add ability to store answer on cache for quiz & fixes quiz issues.
- Enhancement - Added extra img srcset for learn page images.
- Compatibility – Made compatible with Hello Elementor theme.
- Compatibility – Made compatible with Divi theme.
- Fix - Any lesson is accessible even the course is not bought by rewriting lesson ID in URL.
- Fix - Checkout page form input field design issues.

= 1.5.27 - 23-12-2022 =
- Compatibility - Made Masteriyo compatible with Astra theme.
- Enhancement - By default learn page sidebar remains close on mobile devices.

= 1.5.26 - 14-12-2022 =
- Fix - Duplicate enrolled courses.
- Fix - Plugin deletion issue due to function redeclaration.

= 1.5.25 - 06-12-2022 =
- Fix - Minor Fixes.

= 1.5.24 - 01-12-2022 =
- Fix - Sending of password reset email after updating the user.
- Fix - Typo '.masteriyo-expand-collape-all' to '.masteriyo-expand-collapse-all'.
- Fix - Featured image width issue while adding new course.

= 1.5.23 - 15-11-2022 =
- Enhancement - Add primary color support on account page.
- Fix - Word break in quiz.
- Fix - Course slug error.
- Fix - Random name being displayed on logout modal in account page.
- Fix - Other user scoredata being shown in new user quiz page.

= 1.5.22 - 03-11-2022 =
- Fix - 404 page not found issue while checking out when WooCommerce is active.

= 1.5.21 - 02-11-2022 =
- Fix - Fatal error due to Type Error in Masteriyo\MetaData::get_data().

= 1.5.20 - 01-11-2022 =
- Enhancement - Add option in global settings to delete plugin data while uninstalling.
- Fix - Payment method enums in orders controller.

= 1.5.19 - 19-10-2022 =
- Enhancement - Add course difficulty slug in the difficulty badge html markup.
- Enhancement - Removed account endpoints from global settings.

= 1.5.18 - 13-10-2022 =
- Feature - Manage course difficulties through categories page.
- Fix - Course difficulties translation issue.

= 1.5.17 - 11-10-2022 =
- Fix - Undefined get_id() method.
- Fix - Lessons count in courses page.
- Fix - Enrolled users count in courses page.

= 1.5.16 - 28-09-2022 =
- Fix - Course progress completion issue.
- Fix - Documentation URL updated in section builder.
- Fix - Bullet appearing in the account page menus in Divi theme.
- Fix - Responsive issue in the account and global settings page.

= 1.5.15 - 21-09-2022 =
- Feature - Added RTL support in react pages like admin, learn and account.
- Enhancement - Global settings and course settings UI.
- Enhancement - Added support to change course slug.
- Tweak - Updated skeleton loader.
- Tweak - Compatibility fixes.

= 1.5.14 - 13-09-2022 =
- Fix - Currency decimals not being set to zero.
- Fix - Responsive issue in the account page.

= 1.5.13 - 06-09-2022 =
- Fix - Paypal lives payment issue.
- Fix - Width issue in Astra Theme.
- Fix - Responsive issue on Edit Lesson.
- Fix - The instructor's course archive page throws an error when there are no author courses.
- Fix - Lesson preview issue.

= 1.5.12 - 23-08-2022 =
- Enhancement - Made Masteriyo backend pages responsive.
- Enhancement - Support non-english characters in single choice answers option.
- Enhancement - If the course pricing type is 'Need Registration', a logged-in user can now directly access the course.
- Enhancement - Renamed 'Buy Now' to 'Register Now' button when course pricing type is 'Need registration' and the user is not logged in.
- Fix - Initialize placeholder image in case the file is deleted from the uploads directory.
- Fix - Featured image breaking in Twenty Twenty Two theme.

= 1.5.11 - 10-08-2022 =
- Enhancement - Add multiple categories support to courses shortcode.
- Enhancement - Login form design updated.
- Fix - Translation issue.
- Fix - Long single word overflows in quiz question's answers.
- Fix - Sorting in backend pages.
- Fix - Order items listing permission issue causing 505 error in the account page order history.
- Fix - Logout issue due to undefined callback destroy_session.

= 1.5.10 - 03-08-2022 =
- Enhancement - Added skeleton loader in add new quiz page skeleton loader.
- Enhancement - Added skeleton loader in add new lesson and lesson edit page.
- Fix - Question and answer overflow in quiz attempt detail page
- Fix - Backend throwing 505 if missing learn page logo image.
- Fix - Undefined variable page_id.

= 1.5.9 - 19-07-2022 =
- Enhancement - Add load more button in course reviews listing on the single course page.
- Fix - Heading text colour.
- Fix - Redundant courses in the cart when the order is uncompleted.
- Fix - Categories list disappearing after opening the add new category modal.
- Fix - request_filesystem_credentials not exists.
- Fix - Syntax token error while loading global settings.

= 1.5.8 - 11-07-2022 =
- Enhancement - Added two-column layout on lesson page backend.
- Fix - Cannot read property of undefined (reading 24) issue on avatar URL.
- Fix - Backend page throwing 505 when deleting featured image from the site.
- Fix - Course duration not being saved on adding a new course.
- Fix - Translation not working.

= 1.5.7 - 07-07-2022 =
- Enhancement - Shift pages on top of general global settings.
- Enhancement - Added filters for admin menu and icon.
- Fix - Alignment issue on the addons page.
- Fix - Eliminate unnecessary loading in backend pages.

= 1.5.6 - 29-06-2022 =
- Enhancement - Load all the questions of the quiz in the learn page for faster pagination.
- Fix - Quiz timer expires issue.

= 1.5.5 - 27-06-2022 =
- Enhancement - Added class names on the account page.
- Enhancement - Show skeleton loader when changing status in courses, orders and reviews page backend.
- Fix - Edit lesson page throwing 505 error when lesson video deleted from the media library.
- Fix - Text colour in courses page being affected by theme customizer.
- Fix - Enrolled courses count and start button in the account page.

= 1.5.4 - 17-06-2022 =
- Enhancement - Moved pages tab from advance to general tab in global settings.
- Enhancement - Added order status tab on the orders list page.
- Enhancement - Make learn page responsive.
- Enhancement - Add formatting feature using keyboard shortcuts (CTRL+B to bold, CTRL+I to italic and CTRL+U to underline) in course highlights.
- Fix - Course highlights design issues on the single course page.
- Fix - Quiz options flickering issue on live server.
- Fix - Users admin menu not being highlighted when going to instructors tab.
- Fix - Students and Instructors lists filtering by order issue.
- Fix - Courses lists filtering by order issue.
- Fix - Approval status filter not working in instructors listing page.
- Fix - Question not being permanently deleted.
- Fix - Enrolled courses count when the order status is updated.
- Fix - Typo 'No reviewes found.' to 'No reviews found.'.

= 1.5.3 - 07-06-2022 =
- Feature - Implemented drag and drop feature on quiz question builder.
- Enhancement - Show delete action for a quiz in progress on quiz attempts listing page.
- Enhancement - Make addons listing page responsive.
- Enhancement - Replace fullscreen loader (Spinner) with skeleton loader in backend pages.
- Fix - Show approval notice for instructors only on the account page.
- Fix - Enrolled course count on the account page.
- Fix - Instructor unable to access add new course page when WooCommerce is enabled.

= 1.5.2 - 30-05-2022 =
- Enhancement - Set minimum value to 0 and maximum to 5 on the number of decimals in a global setting.
- Fix - Translation issue on course builder backend and account page.
- Fix - Renamed "Publish" to "Published" on the course listing page tab on the backend.
- Fix - Renamed "No state founds" to "No state found" on state option account page.
- Fix - Backend courses, orders and users listing order by id on initial query.

= 1.5.1 - 26-05-2022 =
- Enhancement - Admin can now view details of quiz attempts on the backend.
- Enhancement - Filter courses, users and orders by ascending descending order on the backend page.
- Fix - Font size of a website being overwritten by the plugin.
- Fix - Load react account page js file only on the account page.
- Fix - Addons submenu colour replicated to other submenus.
- Fix - All courses count based on the draft and published courses on the backend course listing page.

= 1.5.0 - 17-05-2022 =
- Feature: Add a course review management page on the backend.
- Enhancement: Made banner responsive on addons listing page.
- Enhancement: Made account page responsive.
- Fix - Instructor approval notification on the account page.
- Fix - Unable to create course review as a student.

= 1.4.12 - 04-05-2022 =
- Enhancement - Added tabs to differentiate status of course on backend course list page.
- Fix - Renamed "No state founds" to "No state found" on state option.
- Fix - Cancel queries being cached on error boundary which leads to 505 error on backend pages.
- Fix - Deprecated Message: Required parameter follows optional parameter in PHP8.

= 1.4.11 - 29-04-2022 =
- Enhancement - Added Masteriyo addons listing page.
- Enhancement - By default show 10 options on dropdown of filters.
- Fix - Question answers tab not working on learn page.
- Fix - Backend sub menu not being active when clicking on the Masteriyo logo.

= 1.4.10 - 25-04-2022 =
- Enhancement - Lazy load categories filter options.
- Enhancement - Show completed button instead of continue, if user has completed the course.
- Fix - Account page enrolled, progress and completed courses count issue.
- Fix - Clearing all content on editor not being updated.
- Fix - Courses, Lessons and categories featured image not being set.

= 1.4.9 - 12-04-2022 =
- Enhancement - Added sub-categories feature.
- Enhancement - On learn page hide the user avatar menu if the user is not logged in.
- Enhancement - Added 'Users not found' message in the filters while the user doesn't exist.
- Enhancement - Added order status colour on order listing.
- Fix - Course preview link being directed to the learning page.
- Fix - Deprecated Message: usort(): Returning bool from comparison function is deprecated in PHP8.
- Fix - Deprecated Message: Required parameter follows optional parameter in PHP8.
- Fix - Extra skeleton loading on orders listing.

= 1.4.8 - 05-04-2022 =
- Enhancement - Adds new style for the editor on our plugin.
- Enhancement - Disable right click on the self-hosted video player.
- Fix - Start course URL when the first item is a quiz in the course section.
- Fix - Highlight the submenu during page load and when changed.

= 1.4.7 - 29-03-2022 =
- Feature - User profile image uploader on the account page.
- Enhancement - Added delete button for quiz attempts.
- Enhancement - Backend listing pages minor enhancements.
- Enhancement - Display users option and user not found message in course instructor setting if the user is not found.

= 1.4.6 - 23-03-2022 =
- Enhancement - Getting started steps label orientation to vertical.
- Enhancement - Replace WordPress logout with custom logout process.
- Fix - Enroll button for guest users not working properly.
- Fix - Session key duplication.
- Fix - `__wakeup()` should be public warning message.
- Fix - Course completion for guest users.

= 1.4.5 - 16-03-2022 =
- Enhancement - Display proper error message on the backend while 505 error.
- Enhancement - Added pagination on order history and enrolled course on the account page.
- Enhancement - Support transfer content of instructors to others while deleting.
- Fix - Iframe not being displayed in lesson and quiz.

= 1.4.4 - 09-03-2022 =
- Enhancement - Replaced tiptap editor with WordPress TinyMCE Editor.
- Enhancement - Added Company Name and Company VAT Number on user profile billing details.
- Fix - Extra space created by review notice in the header section.
- Fix - Only 10 pages being listed in page setup of global settings.
- Tweak - Added Masteriyo Pro compatibility.

= 1.4.3 - 24-02-2022 =
- Fix - String translation in Account page.
- Enhancement - Added course categories archive page.
- Enhancement - Added instructor course archive page.

= 1.4.2 - 15-02-2022 =
- Fix - Add a link to an image in course categories shortcode or blocks.
- Fix - Blank iframe tag on learn page while removing the self-hosted video.
- Fix - Spacing on plugin review admin notice.
- Enhancement - Text strings refinement.

= 1.4.1 - 08-02-2022 =
- Feature - Added course trash and restore functionality.
- Feature - Added order trash and restore functionality.
- Enhancement - Added lesson and quiz preview from course builder backend.
- Enhancement - Added srcset attributes on learn page image tag to support different screen size images.
- Fix - Typo ('Please make sure your old password is corrent' to 'Please make sure your old password is correct').

= 1.4.0 - 01-02-2022 =
- Enhancement - Migrate Account page from PHP to React JS.
- Enhancement - For Instructor, account page now comes with 'Add New Course' and 'My Courses' menu options.
- Enhancement - Minor enhancements in account page.
- Tweak - Add admin notice for plugin review.
- Fix - Delete order items from database when order is deleted.
- Fix - Main pages duplication issue after plugin reactivate.

= 1.3.13 - 24-01-2022 =
- Enhancement - Push floating navigation previous button to the right if sidebar is opened.
- Fix - WP Media Manager file upload permission for instructor.

= 1.3.12 - 20-01-2022 =
- Fix - Minor fixes.

= 1.3.11 - 20-01-2022 =
- Enhancement - Redirect to first quiz or lesson on learning page.
- Enhancement - The sidebar on the learning page now opens by default.
- Enhancement - Active menu section now expands by default on the sidebar of the learning page.
- Enhancement - Active menu item is now highlighted on the sidebar.
- Enhancement - Global settings UI.
- Enhancement - Text strings refinement.
- Enhancement - Updated 'Start Course' text to 'Continue' and 'Completed' for in-progress and completed course respectively.
- Enhancement - Open the first section by default for the curriculum tab on the single course page.

= 1.3.10 - 13-01-2022 =
- Fix - Not able to set WordPress default role by an administrator.
- Fix - Image blurring in courses and single course page.
- Fix - Course sections, quizzes, lessons and questions are not completely deleted.
- Fix - CSS issue in Spacious theme single course page.
- Enhancement - Added support for multisite.
- Enhancement - Back to course button does not align properly in learn page sidebar.
- Enhancement - Singular and plural text for string Answer and Answers in learn page QA chat and questions list.
- Enhancement - Added respective icon for lesson containing videos in learn page navigation.

= 1.3.9 - 06-01-2022 =
- Fix - Active courses, enrolled courses and course progress status not working on the Account page.

= 1.3.8 - 04-01-2022 =
- Feature - Forms to add students and instructors in backend.
- Feature - Added setting to add unique logo image to learn page.
- Enhancement - Added currency position info in payment settings inside the setup wizard.
- Enhancement - Remove unnecessary fields from the payment settings inside the setup wizard.
- Enhancement - Make the pages tab more informative in the setup wizard.
- Enhancement - Change question display per page setting from input to a slider in the setup wizard.
- Enhancement - Change course per page setting from input to a slider in the setup wizard.
- Enhancement - Liked the site logo in the learn page to the site homepage.
- Enhancement - Improved UX in the setup wizard.
- Enhancement - Remove unnecessary fields from the advance settings tab.
- Enhancement - Added one more option to the single course permalink setting.
- Enhancement - Check/Uncheck quiz-radio input when clicked on its label inside the learn page.
- Fix - Typo 'pervious' in the learn page
- Fix - Admins not being listed in instructor setting of a course.
- Fix - Blocks not being translated.
- Fix - Blocks properly not working in the widgets editor and the theme customizer.
- Fix - Mark as complete button not working as expected for guest users in learn page.
- Fix - Students not being able to update the country and address fields.

= 1.3.7 - 28-12-2021 =
- Fix - Course categories block CSS issue.

= 1.3.6 - 28-12-2021 =
- Enhancement - Getting started page.
- Enhancement - Refactor global settings.
- Enhancement - String refinements.
- Fix - 505 error due to google translation.
- Fix - Log file size increase due to invalid callbacks.
- Fix - Student account details update issue.

= 1.3.5 - 21-12-2021 =
- Fix - Getting started steps issue.

= 1.3.4 - 21-12-2021 =
- Enhancement - Added scrolling on learn page sidebar.
- Enhancement - Implemented database migration.
- Enhancement - Decreased the JS bundle size.
- Enhancement - Improve the plugin performance.
- Tweak - Show name on delete confirm modal in section builder.
- Fix - Question search on learn page sidebar.
- Fix - Classic editor compatibility issue.
- Fix - Used admin email address as a sender email address.

= 1.3.3 - 15-12-2021 =
- Fix - Quiz result not showing after submitting a quiz.
- Fix - Disable start quiz button on attempts limit reached.
- Fix - Edit button and menu layout design issue on categories backend.
- Tweak - By default, set question point to 1.
- Tweak - By default, set attempts allowed to no limit on quiz setting.
- Tweak - Renamed strings 'Full mark' and 'Pass mark' to 'Full point' and 'Pass Point' on quiz setting.

= 1.3.2 - 10-12-2021 =
- Enhancement - Quiz Attempts Listing on the back-end.
- Enhancement - Allow the administrator to change the instructor of the course.
- Enhancement - Added users/me REST API endpoint.
- Enhancement - Optimize images.
- Enhancement - Populate checkout form with current user information.
- Tweak - Remove the description column from the category list.
- Tweak - Optimize the toast messages in the back-end.
- Tweak - Moved the delete menu inside the order edit page to right.
- Fix - Paid course being converted to free course issue.
- Fix - Back to course button link in the course complete message.
- Fix - Section title issue in the delete confirmation message.
- Fix - Pagination button jumping up and down.

= 1.3.1 - 30-11-2021 =
- Feature - Allow manual order creation from the backend by an administrator.
- Enhancement - Added user course REST API.
- Tweak - Load students and instructs list in descending order by ID.
- Tweak - Renamed plugin slug from admin notices.
- Fix - Fatal error due to PHP dependency issue.

= 1.3.0 - 22-11-2021 =
- Feature - Instructor registration system.
- Feature - Instructor approval system.
- Feature - Instructor listing in the backend.
- Feature - Added courses gutenberg block.
- Feature - Added courses categories gutenberg block.
- Tweak - Added author support to course post type.
- Tweak - Added support of links in the editor.
- Fix - Remove the static ANSWERED from the floating quiz timer in learn page.

= 1.2.1 - 12-11-2021 =
- Enhancement - Added unlimited quiz attempt limit option.
- Enhancement - Display courses page content in the courses list page.
- Enhancement - Show completion icon to the completed lesson and quiz in the learn page.
- Enhancement - Added course completion header in learn page.
- Fix - Quiz limit attempt share between users.
- Fix - Translation strings for quiz in learn page.

= 1.2.0 - 02-11-2021 =
- Fix - Course update and delete when the PUT and DELETE HTTP methods are blocked.
- Feature - Added students list on WordPress backend.
- Feature - Added course categories shortcode [masteriyo_course_categories].

= 1.0.10 - 29-10-2021 =
- Fix - Missing translation in learn page.
- Fix - Standard paypal sandbox toggle issue.

= 1.0.9 - 26-10-2021 =
- Fix - Add to cart button text filter in courses and single course page.
- Fix - Backend order API listing issue when the course in order is deleted.
- Tweak - Changed single course heading tag to h1.

= 1.0.8 - 22-10-2021 =
- Tweak - Show admin error notice when assets are not built.
- Tweak - Show admin error notice when autoload.php file does not exist.
- Fix - Editor not typing issue.
- Fix - Design issue in safari.
- Fix - Elementor width issue.

= 1.0.7 - 18-10-2021 =
- Fix - Missing translations.
- Fix - Course pricing setting for free option acting inconsistently.
- Fix - Categories listing issue on add/edit course categories select option for categories greater than 20.
- Fix - Special chars issue in the course, lesson, section, and quiz name.
- Enhancement - Remove the terms and conditions page.
- Enhancement - Use free text to show free courses instead of price.

= 1.0.6 - 06-10-2021 =
- Enhancement - Added user and course information on the order list page.
- Enhancement - Added `masteriyo_courses` shortcode.
- Enhancement - Added ability to switch to WordPress editor for courses.
- Enhancement - Decreased the size of the "Add New Category" modal.
- Fix - Remove title hover effect while hovering course list card in courses archive page.
- Fix - Pagination alignment in the courses, categories, and orders backend list page.
- Fix - Use of smaller image for course feature image.
- Fix - Overflow of course single page sidebar.
- Fix - String translation issue.
- Fix - Student count issue in the single course and course archive page.

= 1.0.5 - 01-10-2021 =
- Enhancement - Show review deleted message if it still has some replies.
- Fix - The course edit button which worked only when clicked on the button's text.

= 1.0.4 - 29-09-2021 =
- Enhancement - Added filter to order listing page in backend.
- Enhancement - Remove course reviews, course question answers and order notes from the WordPress comments page and activity widget.
- Enhancement - Added support for primary colour change.
- Enhancement - Added hover effecting to course review rating.
- Fix - Remove the gap between the categories list and the navigation bar.
- Fix - Filter disappearance while using the filter in courses and categories listing page.
- Fix - Logo size issue in learn page.

= 1.0.3 - 24-09-2021 =
- Enhancement - Make course category slug optional while creating a category.
- Enhancement - Cache bust the default frontend and backend JS and CSS assets as well.
- Enhancement - Added enrollment limit to courses.
- Enhancement - Added course question-answer (QA) permission.
- Fix - Course progress issue.
- Fix - Course progress permission issue.
- Fix - Difficulty badge spacing and font colour.
- Fix - Account page responsive issue.
- Fix - Single course-related post width issue.

= 1.0.2 - 21-09-2021 =
- Enhancement - Added search on categories page admin side.
- Enhancement - Account page Responsive.
- Fix - Course question answers for open courses.
- Fix - White space issue in learn page content.

= 1.0.1 - 16-09-2021 =
- Release of version 1.0.1

= 1.0.0 - 16-09-2021 =
- Initial Release.
